|  | Home · All Classes · Modules

# QDialogButtonBox.StandardButtons Class Reference
[QtGui module]

### Methods

- __init__ (self, StandardButtons)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- StandardButtons __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, StandardButtons f)
- StandardButtons __iand__ (self, int mask)
- int __int__ (self)
- StandardButtons __invert__ (self)
- StandardButtons __ior__ (self, StandardButtons f)
- StandardButtons __ixor__ (self, StandardButtons f)
- bool __ne__ (self, StandardButtons f)
- StandardButtons __or__ (self, StandardButtons f)
- StandardButtons __xor__ (self, StandardButtons f)

## Detailed Description

StandardButton may be used whenever StandardButtons is expected.

## Method Documentation

### StandardButtons.__init__ (self, StandardButtons)

### StandardButtons.__init__ (self, int)

### StandardButtons.__init__ (self)

### StandardButtons StandardButtons.__and__ (self, int mask)

### int StandardButtons.__bool__ (self)

### bool StandardButtons.__eq__ (self, StandardButtons f)

### StandardButtons StandardButtons.__iand__ (self, int mask)

### int StandardButtons.__int__ (self)

### StandardButtons StandardButtons.__invert__ (self)

### StandardButtons StandardButtons.__ior__ (self, StandardButtons f)

### StandardButtons StandardButtons.__ixor__ (self, StandardButtons f)

### bool StandardButtons.__ne__ (self, StandardButtons f)

### StandardButtons StandardButtons.__or__ (self, StandardButtons f)

### StandardButtons StandardButtons.__xor__ (self, StandardButtons f)